Subject: Re: bug#50166: 28.0.50; ECM for possible process-status/sentinel bug

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 26 Sep 2021 07:31:13 +0200

Adam Porter <[email-masked]> writes:

> For example, am I misusing sentinels here?

As far as I can tell by skimming the code, you seem to be using
sentinels properly here.  There may well be bugs in the sentinel
triggering code -- there's been various bugs in this area over the
years.

But I don't really have any advice as to debug it more efficiently --
the code in process.c is pretty gnarly and difficult to reason about.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no